/*SW power of binary outcomes with incremental internvetion effects model */
/********Power for Design A in Connect Home trial from the PCORI, with 6 clusters and exponentional decay and nested exchangeable correlation ****************************************/
*ods output T_S_m_b_c_df_beta_totaln_marg_m_(persist) = brreeoopp ;

ods pdf  file="G:/projects/swcrt/Incomplete_SWCRT_paper_code/paper_fastGEE_power-results/Incomplete_SWCRT_Table3_p2.pdf";

title "Design A : 6 clusters in 22 periods with 6 steps, binary outcomes  with the incremental intervention effect model and time effect parameters=(0.85,-0.01)";
title2 "Hussy and Hughes: (alpha1, alpha2)= (0.03,0.03)";

%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,1)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.03 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
   CP_size_matrix =      
						  %str({4 4 4 4 4 0 0 4 4 4 4 4 4 4 4 4 4 0 0 0 0 0,
					       		0 4 4 4 4 4 4 0 0 4 4 4 4 4 4 4 4 4 0 0 0 0,
					       		0 0 4 4 4 4 4 4 4 0 0 4 4 4 4 4 4 4 4 0 0 0,
					       		0 0 0 4 4 4 4 4 4 4 4 0 0 4 4 4 4 4 4 4 0 0 ,
					       		0 0 0 0 4 4 4 4 4 4 4 4 4 0 0 4 4 4 4 4 4 0,
					       		0 0 0 0 0 4 4 4 4 4 4 4 4 4 4 0 0 4 4 4 4 4}),
   DesignPattern =        %str({0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1 1 2 2 2 2 2,
					       		2 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1 2 2 2 2,
					       		2 2 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 2 2 2,
					       		2 2 2 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 2 2,
					       		2 2 2 2 0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 2,
					       		2 2 2 2 2 0 0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1}));
	

title2 "exponentional decay: assume (a0,r)=(0.03, 0.8) ";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,1)), corr_type = 2,alpha0 = 0.03,r0 = 0.8 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
   CP_size_matrix =      
						  %str({4 4 4 4 4 0 0 4 4 4 4 4 4 4 4 4 4 0 0 0 0 0,
					       		0 4 4 4 4 4 4 0 0 4 4 4 4 4 4 4 4 4 0 0 0 0,
					       		0 0 4 4 4 4 4 4 4 0 0 4 4 4 4 4 4 4 4 0 0 0,
					       		0 0 0 4 4 4 4 4 4 4 4 0 0 4 4 4 4 4 4 4 0 0 ,
					       		0 0 0 0 4 4 4 4 4 4 4 4 4 0 0 4 4 4 4 4 4 0,
					       		0 0 0 0 0 4 4 4 4 4 4 4 4 4 4 0 0 4 4 4 4 4}),
   DesignPattern =        %str({0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1 1 2 2 2 2 2,
					       		2 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1 2 2 2 2,
					       		2 2 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 2 2 2,
					       		2 2 2 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 2 2,
					       		2 2 2 2 0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 2,
					       		2 2 2 2 2 0 0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1}));
	
            
 
title2 "Nested exchangeable: (alpha1,alpha2)= (0.03,0.015)";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,1)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.015 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
   CP_size_matrix =      
						  %str({4 4 4 4 4 0 0 4 4 4 4 4 4 4 4 4 4 0 0 0 0 0,
					       		0 4 4 4 4 4 4 0 0 4 4 4 4 4 4 4 4 4 0 0 0 0,
					       		0 0 4 4 4 4 4 4 4 0 0 4 4 4 4 4 4 4 4 0 0 0,
					       		0 0 0 4 4 4 4 4 4 4 4 0 0 4 4 4 4 4 4 4 0 0 ,
					       		0 0 0 0 4 4 4 4 4 4 4 4 4 0 0 4 4 4 4 4 4 0,
					       		0 0 0 0 0 4 4 4 4 4 4 4 4 4 4 0 0 4 4 4 4 4}),
   DesignPattern =        %str({0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1 1 2 2 2 2 2,
					       		2 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1 2 2 2 2,
					       		2 2 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 2 2 2,
					       		2 2 2 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 2 2,
					       		2 2 2 2 0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 2,
					       		2 2 2 2 2 0 0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1}));
	
title "Design A : 12 clusters in 22 periods with 6 steps, binary outcomes  with the incremental intervention effect model and time effect parameters=(0.85,-0.01)";
title2 "Hussy and Hughes: (alpha1, alpha2)= (0.03,0.03)";

%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,2)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.03 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
   CP_size_matrix =      
						  %str({2 2 2 2 2 0 0 2 2 2 2 2 2 2 2 2 2 0 0 0 0 0,
					       		0 2 2 2 2 2 2 0 0 2 2 2 2 2 2 2 2 2 0 0 0 0,
					       		0 0 2 2 2 2 2 2 2 0 0 2 2 2 2 2 2 2 2 0 0 0,
					       		0 0 0 2 2 2 2 2 2 2 2 0 0 2 2 2 2 2 2 2 0 0 ,
					       		0 0 0 0 2 2 2 2 2 2 2 2 2 0 0 2 2 2 2 2 2 0,
					       		0 0 0 0 0 2 2 2 2 2 2 2 2 2 2 0 0 2 2 2 2 2}),
   DesignPattern =        %str({0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1 1 2 2 2 2 2,
					       		2 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1 2 2 2 2,
					       		2 2 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 2 2 2,
					       		2 2 2 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 2 2,
					       		2 2 2 2 0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 2,
					       		2 2 2 2 2 0 0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1}));
	

title2 "exponentional decay: assume (a0,r)=(0.03, 0.8) ";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,2)), corr_type = 2,alpha0 = 0.03,r0 = 0.8 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
  CP_size_matrix =      
						  %str({2 2 2 2 2 0 0 2 2 2 2 2 2 2 2 2 2 0 0 0 0 0,
					       		0 2 2 2 2 2 2 0 0 2 2 2 2 2 2 2 2 2 0 0 0 0,
					       		0 0 2 2 2 2 2 2 2 0 0 2 2 2 2 2 2 2 2 0 0 0,
					       		0 0 0 2 2 2 2 2 2 2 2 0 0 2 2 2 2 2 2 2 0 0 ,
					       		0 0 0 0 2 2 2 2 2 2 2 2 2 0 0 2 2 2 2 2 2 0,
					       		0 0 0 0 0 2 2 2 2 2 2 2 2 2 2 0 0 2 2 2 2 2}),
   DesignPattern =        %str({0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1 1 2 2 2 2 2,
					       		2 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1 2 2 2 2,
					       		2 2 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 2 2 2,
					       		2 2 2 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 2 2,
					       		2 2 2 2 0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 2,
					       		2 2 2 2 2 0 0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1}));
	
	
            
 
title2 "Nested exchangeable: (alpha1,alpha2)= (0.03,0.015)";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,2)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.015 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
  CP_size_matrix =      
						  %str({2 2 2 2 2 0 0 2 2 2 2 2 2 2 2 2 2 0 0 0 0 0,
					       		0 2 2 2 2 2 2 0 0 2 2 2 2 2 2 2 2 2 0 0 0 0,
					       		0 0 2 2 2 2 2 2 2 0 0 2 2 2 2 2 2 2 2 0 0 0,
					       		0 0 0 2 2 2 2 2 2 2 2 0 0 2 2 2 2 2 2 2 0 0 ,
					       		0 0 0 0 2 2 2 2 2 2 2 2 2 0 0 2 2 2 2 2 2 0,
					       		0 0 0 0 0 2 2 2 2 2 2 2 2 2 2 0 0 2 2 2 2 2}),
   DesignPattern =        %str({0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1 1 2 2 2 2 2,
					       		2 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1 2 2 2 2,
					       		2 2 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 2 2 2,
					       		2 2 2 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 2 2,
					       		2 2 2 2 0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 2,
					       		2 2 2 2 2 0 0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1}));

title "Design B : 6 clusters in 21 periods with 6 steps, binary outcomes  with the incremental intervention effect model and time effect parameters=(0.85,-0.01)";
title2 "Hussy and Hughes: (alpha1, alpha2)= (0.03,0.03)";

%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,1)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.03 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
    CP_size_matrix =      
						  %str({4 4 4 4 4 0 4 4 4 4 4 4 4 4 4 4 0 0 0 0 0,
					       		0 4 4 4 4 4 4 0 4 4 4 4 4 4 4 4 4 0 0 0 0,
					       		0 0 4 4 4 4 4 4 4 0 4 4 4 4 4 4 4 4 0 0 0,
					       		0 0 0 4 4 4 4 4 4 4 4 0 4 4 4 4 4 4 4 0 0 ,
					       		0 0 0 0 4 4 4 4 4 4 4 4 4 0 4 4 4 4 4 4 0,
					       		0 0 0 0 0 4 4 4 4 4 4 4 4 4 4 0 4 4 4 4 4}),
					       		
   DesignPattern =        %str({0 0 0 0 0 2 1 1 1 1 1 1 1 1 1 1 2 2 2 2 2,
					       		2 0 0 0 0 0 0 2 1 1 1 1 1 1 1 1 1 2 2 2 2,
					       		2 2 0 0 0 0 0 0 0 2 1 1 1 1 1 1 1 1 2 2 2,
					       		2 2 2 0 0 0 0 0 0 0 0 2 1 1 1 1 1 1 1 2 2,
					       		2 2 2 2 0 0 0 0 0 0 0 0 0 2 1 1 1 1 1 1 2,
					       		2 2 2 2 2 0 0 0 0 0 0 0 0 0 0 2 1 1 1 1 1}));
	
title2 "exponentional decay: assume (a0,r)=(0.03, 0.8) ";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,1)), corr_type = 2,alpha0 = 0.03,r0 = 0.8 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
   CP_size_matrix =      
						  %str({4 4 4 4 4 0 4 4 4 4 4 4 4 4 4 4 0 0 0 0 0,
					       		0 4 4 4 4 4 4 0 4 4 4 4 4 4 4 4 4 0 0 0 0,
					       		0 0 4 4 4 4 4 4 4 0 4 4 4 4 4 4 4 4 0 0 0,
					       		0 0 0 4 4 4 4 4 4 4 4 0 4 4 4 4 4 4 4 0 0 ,
					       		0 0 0 0 4 4 4 4 4 4 4 4 4 0 4 4 4 4 4 4 0,
					       		0 0 0 0 0 4 4 4 4 4 4 4 4 4 4 0 4 4 4 4 4}),
					       		
   DesignPattern =        %str({0 0 0 0 0 2 1 1 1 1 1 1 1 1 1 1 2 2 2 2 2,
					       		2 0 0 0 0 0 0 2 1 1 1 1 1 1 1 1 1 2 2 2 2,
					       		2 2 0 0 0 0 0 0 0 2 1 1 1 1 1 1 1 1 2 2 2,
					       		2 2 2 0 0 0 0 0 0 0 0 2 1 1 1 1 1 1 1 2 2,
					       		2 2 2 2 0 0 0 0 0 0 0 0 0 2 1 1 1 1 1 1 2,
					       		2 2 2 2 2 0 0 0 0 0 0 0 0 0 0 2 1 1 1 1 1}));
		
            
 
title2 "Nested exchangeable: (alpha1,alpha2)= (0.03,0.015)";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,1)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.015 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,    
  CP_size_matrix =      
						  %str({4 4 4 4 4 0 4 4 4 4 4 4 4 4 4 4 0 0 0 0 0,
					       		0 4 4 4 4 4 4 0 4 4 4 4 4 4 4 4 4 0 0 0 0,
					       		0 0 4 4 4 4 4 4 4 0 4 4 4 4 4 4 4 4 0 0 0,
					       		0 0 0 4 4 4 4 4 4 4 4 0 4 4 4 4 4 4 4 0 0 ,
					       		0 0 0 0 4 4 4 4 4 4 4 4 4 0 4 4 4 4 4 4 0,
					       		0 0 0 0 0 4 4 4 4 4 4 4 4 4 4 0 4 4 4 4 4}),
					       		
   DesignPattern =        %str({0 0 0 0 0 2 1 1 1 1 1 1 1 1 1 1 2 2 2 2 2,
					       		2 0 0 0 0 0 0 2 1 1 1 1 1 1 1 1 1 2 2 2 2,
					       		2 2 0 0 0 0 0 0 0 2 1 1 1 1 1 1 1 1 2 2 2,
					       		2 2 2 0 0 0 0 0 0 0 0 2 1 1 1 1 1 1 1 2 2,
					       		2 2 2 2 0 0 0 0 0 0 0 0 0 2 1 1 1 1 1 1 2,
					       		2 2 2 2 2 0 0 0 0 0 0 0 0 0 0 2 1 1 1 1 1}));
		
title "Design B : 12 clusters in 21 periods with 6 steps, binary outcomes  with the incremental intervention effect model and time effect parameters=(0.85,-0.01)";
title2 "Hussy and Hughes: (alpha1, alpha2)= (0.03,0.03)";

%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,2)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.03 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
   CP_size_matrix =      
						  %str({2 2 2 2 2 0 2 2 2 2 2 2 2 2 2 2 0 0 0 0 0,
					       		0 2 2 2 2 2 2 0 2 2 2 2 2 2 2 2 2 0 0 0 0,
					       		0 0 2 2 2 2 2 2 2 0 2 2 2 2 2 2 2 2 0 0 0,
					       		0 0 0 2 2 2 2 2 2 2 2 0 2 2 2 2 2 2 2 0 0 ,
					       		0 0 0 0 2 2 2 2 2 2 2 2 2 0 2 2 2 2 2 2 0,
					       		0 0 0 0 0 2 2 2 2 2 2 2 2 2 2 0 2 2 2 2 2}),
					       		
   DesignPattern =        %str({0 0 0 0 0 2 1 1 1 1 1 1 1 1 1 1 2 2 2 2 2,
					       		2 0 0 0 0 0 0 2 1 1 1 1 1 1 1 1 1 2 2 2 2,
					       		2 2 0 0 0 0 0 0 0 2 1 1 1 1 1 1 1 1 2 2 2,
					       		2 2 2 0 0 0 0 0 0 0 0 2 1 1 1 1 1 1 1 2 2,
					       		2 2 2 2 0 0 0 0 0 0 0 0 0 2 1 1 1 1 1 1 2,
					       		2 2 2 2 2 0 0 0 0 0 0 0 0 0 0 2 1 1 1 1 1}));
	

title2 "exponentional decay: assume (a0,r)=(0.03, 0.8) ";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,2)), corr_type = 2,alpha0 = 0.03,r0 = 0.8 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
   CP_size_matrix =      
						  %str({2 2 2 2 2 0 2 2 2 2 2 2 2 2 2 2 0 0 0 0 0,
					       		0 2 2 2 2 2 2 0 2 2 2 2 2 2 2 2 2 0 0 0 0,
					       		0 0 2 2 2 2 2 2 2 0 2 2 2 2 2 2 2 2 0 0 0,
					       		0 0 0 2 2 2 2 2 2 2 2 0 2 2 2 2 2 2 2 0 0 ,
					       		0 0 0 0 2 2 2 2 2 2 2 2 2 0 2 2 2 2 2 2 0,
					       		0 0 0 0 0 2 2 2 2 2 2 2 2 2 2 0 2 2 2 2 2}),
					       		
   DesignPattern =        %str({0 0 0 0 0 2 1 1 1 1 1 1 1 1 1 1 2 2 2 2 2,
					       		2 0 0 0 0 0 0 2 1 1 1 1 1 1 1 1 1 2 2 2 2,
					       		2 2 0 0 0 0 0 0 0 2 1 1 1 1 1 1 1 1 2 2 2,
					       		2 2 2 0 0 0 0 0 0 0 0 2 1 1 1 1 1 1 1 2 2,
					       		2 2 2 2 0 0 0 0 0 0 0 0 0 2 1 1 1 1 1 1 2,
					       		2 2 2 2 2 0 0 0 0 0 0 0 0 0 0 2 1 1 1 1 1}));
		
	
            
 
title2 "Nested exchangeable: (alpha1,alpha2)= (0.03,0.015)";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,2)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.015 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
   CP_size_matrix =      
						  %str({2 2 2 2 2 0 2 2 2 2 2 2 2 2 2 2 0 0 0 0 0,
					       		0 2 2 2 2 2 2 0 2 2 2 2 2 2 2 2 2 0 0 0 0,
					       		0 0 2 2 2 2 2 2 2 0 2 2 2 2 2 2 2 2 0 0 0,
					       		0 0 0 2 2 2 2 2 2 2 2 0 2 2 2 2 2 2 2 0 0 ,
					       		0 0 0 0 2 2 2 2 2 2 2 2 2 0 2 2 2 2 2 2 0,
					       		0 0 0 0 0 2 2 2 2 2 2 2 2 2 2 0 2 2 2 2 2}),
					       		
   DesignPattern =        %str({0 0 0 0 0 2 1 1 1 1 1 1 1 1 1 1 2 2 2 2 2,
					       		2 0 0 0 0 0 0 2 1 1 1 1 1 1 1 1 1 2 2 2 2,
					       		2 2 0 0 0 0 0 0 0 2 1 1 1 1 1 1 1 1 2 2 2,
					       		2 2 2 0 0 0 0 0 0 0 0 2 1 1 1 1 1 1 1 2 2,
					       		2 2 2 2 0 0 0 0 0 0 0 0 0 2 1 1 1 1 1 1 2,
					       		2 2 2 2 2 0 0 0 0 0 0 0 0 0 0 2 1 1 1 1 1}));
		


title "Design C : 6 clusters in 20 periods with 6 steps, binary outcomes  with the incremental intervention effect model and time effect parameters=(0.85,-0.01)";
title2 "Hussy and Hughes: (alpha1, alpha2)= (0.03,0.03)";

%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,1)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.03 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
    CP_size_matrix =      
						  %str({4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 0 0 0 0 0,
					       		0 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 0 0 0 0,
					       		0 0 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 0 0 0,
					       		0 0 0 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 0 0 ,
					       		0 0 0 0 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 0,
					       		0 0 0 0 0 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4}),
					       		
   DesignPattern =        %str({0 0 0 0 0 1 1 1 1 1 1 1 1 1 1 2 2 2 2 2,
					       		2 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1 2 2 2 2,
					       		2 2 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 2 2 2,
					       		2 2 2 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1 2 2,
					       		2 2 2 2 0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 2,
					       		2 2 2 2 2 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1}));
	
title2 "exponentional decay: assume (a0,r)=(0.03, 0.8) ";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,1)), corr_type = 2,alpha0 = 0.03,r0 = 0.8 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
  CP_size_matrix =      
						  %str({4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 0 0 0 0 0,
					       		0 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 0 0 0 0,
					       		0 0 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 0 0 0,
					       		0 0 0 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 0 0 ,
					       		0 0 0 0 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 0,
					       		0 0 0 0 0 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4}),
					       		
   DesignPattern =        %str({0 0 0 0 0 1 1 1 1 1 1 1 1 1 1 2 2 2 2 2,
					       		2 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1 2 2 2 2,
					       		2 2 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 2 2 2,
					       		2 2 2 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1 2 2,
					       		2 2 2 2 0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 2,
					       		2 2 2 2 2 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1}));
 
title2 "Nested exchangeable: (alpha1,alpha2)= (0.03,0.015)";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,1)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.015 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,    
   CP_size_matrix =      
						  %str({4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 0 0 0 0 0,
					       		0 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 0 0 0 0,
					       		0 0 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 0 0 0,
					       		0 0 0 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 0 0 ,
					       		0 0 0 0 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 0,
					       		0 0 0 0 0 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4}),
					       		
   DesignPattern =        %str({0 0 0 0 0 1 1 1 1 1 1 1 1 1 1 2 2 2 2 2,
					       		2 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1 2 2 2 2,
					       		2 2 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 2 2 2,
					       		2 2 2 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1 2 2,
					       		2 2 2 2 0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 2,
					       		2 2 2 2 2 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1}));
		
title "Design C : 12 clusters in 20 periods with 6 steps, binary outcomes  with the incremental intervention effect model and time effect parameters=(0.85,-0.01)";
title2 "Hussy and Hughes: (alpha1, alpha2)= (0.03,0.03)";

%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,2)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.03 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
   CP_size_matrix =      
						  %str({2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 0 0 0 0 0,
					       		0 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 0 0 0 0,
					       		0 0 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 0 0 0,
					       		0 0 0 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 0 0 ,
					       		0 0 0 0 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 0,
					       		0 0 0 0 0 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2}),
					       		
   DesignPattern =        %str({0 0 0 0 0 1 1 1 1 1 1 1 1 1 1 2 2 2 2 2,
					       		2 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1 2 2 2 2,
					       		2 2 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 2 2 2,
					       		2 2 2 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1 2 2,
					       		2 2 2 2 0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 2,
					       		2 2 2 2 2 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1}));
	

title2 "exponentional decay: assume (a0,r)=(0.03, 0.8) ";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,2)), corr_type = 2,alpha0 = 0.03,r0 = 0.8 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
    CP_size_matrix =      
						  %str({2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 0 0 0 0 0,
					       		0 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 0 0 0 0,
					       		0 0 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 0 0 0,
					       		0 0 0 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 0 0 ,
					       		0 0 0 0 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 0,
					       		0 0 0 0 0 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2}),
					       		
   DesignPattern =        %str({0 0 0 0 0 1 1 1 1 1 1 1 1 1 1 2 2 2 2 2,
					       		2 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1 2 2 2 2,
					       		2 2 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 2 2 2,
					       		2 2 2 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1 2 2,
					       		2 2 2 2 0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 2,
					       		2 2 2 2 2 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1}));		
	
            
 
title2 "Nested exchangeable: (alpha1,alpha2)= (0.03,0.015)";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,2)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.015 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
    CP_size_matrix =      
						  %str({2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 0 0 0 0 0,
					       		0 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 0 0 0 0,
					       		0 0 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 0 0 0,
					       		0 0 0 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 0 0 ,
					       		0 0 0 0 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 0,
					       		0 0 0 0 0 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2}),
					       		
   DesignPattern =        %str({0 0 0 0 0 1 1 1 1 1 1 1 1 1 1 2 2 2 2 2,
					       		2 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1 2 2 2 2,
					       		2 2 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 2 2 2,
					       		2 2 2 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1 2 2,
					       		2 2 2 2 0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 2,
					       		2 2 2 2 2 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1}));


title "Design D : 6 clusters in 18 periods with 6 steps, binary outcomes  with the incremental intervention effect model and time effect parameters=(0.85,-0.01)";
title2 "Hussy and Hughes: (alpha1, alpha2)= (0.03,0.03)";

%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,1)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.03 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
    CP_size_matrix =      
						  %str({2 4 4 0 0 4 4 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 0 0 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 0 0 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 0 0 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 0 0 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 4 4 0 0 4 4 2}),
					       		
   DesignPattern =        %str({0 0 0 2 2 1 1 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 0 0 2 2 1 1 1}));
	
title2 "exponentional decay: assume (a0,r)=(0.03, 0.8) ";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,1)), corr_type = 2,alpha0 = 0.03,r0 = 0.8 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
    CP_size_matrix =      
						  %str({2 4 4 0 0 4 4 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 0 0 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 0 0 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 0 0 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 0 0 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 4 4 0 0 4 4 2}),
					       		
   DesignPattern =        %str({0 0 0 2 2 1 1 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 0 0 2 2 1 1 1}));

title2 "Nested exchangeable: (alpha1,alpha2)= (0.03,0.015)";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,1)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.015 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,    
     CP_size_matrix =      
						  %str({2 4 4 0 0 4 4 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 0 0 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 0 0 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 0 0 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 0 0 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 4 4 0 0 4 4 2}),
					       		
   DesignPattern =        %str({0 0 0 2 2 1 1 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 0 0 2 2 1 1 1}));
		
title "Design D : 12 clusters in 18 periods with 6 steps, binary outcomes  with the incremental intervention effect model and time effect parameters=(0.85,-0.01)";
title2 "Hussy and Hughes: (alpha1, alpha2)= (0.03,0.03)";

%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,2)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.03 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
   CP_size_matrix =      
						  %str({1 2 2 0 0 2 2 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 0 0 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 0 0 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 0 0 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 0 0 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 2 2 0 0 2 2 1}),
					       		
   DesignPattern =        %str({0 0 0 2 2 1 1 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 0 0 2 2 1 1 1}));
	

title2 "exponentional decay: assume (a0,r)=(0.03, 0.8) ";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,2)), corr_type = 2,alpha0 = 0.03,r0 = 0.8 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
    CP_size_matrix =      
						  %str({1 2 2 0 0 2 2 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 0 0 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 0 0 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 0 0 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 0 0 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 2 2 0 0 2 2 1}),
					       		
   DesignPattern =        %str({0 0 0 2 2 1 1 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 0 0 2 2 1 1 1}));
	
            
 
title2 "Nested exchangeable: (alpha1,alpha2)= (0.03,0.015)";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,2)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.015 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
   CP_size_matrix =      
						  %str({1 2 2 0 0 2 2 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 0 0 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 0 0 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 0 0 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 0 0 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 2 2 0 0 2 2 1}),
					       		
   DesignPattern =        %str({0 0 0 2 2 1 1 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 2 2 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 0 0 2 2 1 1 1}));


title "Design E : 6 clusters in 17 periods with 6 steps, binary outcomes  with the incremental intervention effect model and time effect parameters=(0.85,-0.01)";
title2 "Hussy and Hughes: (alpha1, alpha2)= (0.03,0.03)";

%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,1)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.03 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
    CP_size_matrix =      
						  %str({2 4 4 0 4 4 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 0 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 0 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 0 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 0 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 4 4 0 4 4 2}),
					       		
   DesignPattern =        %str({0 0 0 2 1 1 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 2 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 2 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 2 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 2 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 0 0 2 1 1 1}));
	
title2 "exponentional decay: assume (a0,r)=(0.03, 0.8) ";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,1)), corr_type = 2,alpha0 = 0.03,r0 = 0.8 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
     CP_size_matrix =      
						  %str({2 4 4 0 4 4 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 0 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 0 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 0 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 0 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 4 4 0 4 4 2}),
					       		
   DesignPattern =        %str({0 0 0 2 1 1 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 2 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 2 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 2 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 2 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 0 0 2 1 1 1}));

title2 "Nested exchangeable: (alpha1,alpha2)= (0.03,0.015)";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,1)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.015 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,    
      CP_size_matrix =      
						  %str({2 4 4 0 4 4 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 0 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 0 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 0 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 0 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 4 4 0 4 4 2}),
					       		
   DesignPattern =        %str({0 0 0 2 1 1 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 2 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 2 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 2 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 2 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 0 0 2 1 1 1}));
		
title "Design E : 12 clusters in 17 periods with 6 steps, binary outcomes  with the incremental intervention effect model and time effect parameters=(0.85,-0.01)";
title2 "Hussy and Hughes: (alpha1, alpha2)= (0.03,0.03)";

%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,2)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.03 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
   CP_size_matrix =      
						  %str({1 2 2 0 2 2 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 0 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 0 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 0 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 0 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 2 2 0 2 2 1}),
					       		
    DesignPattern =        %str({0 0 0 2 1 1 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 2 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 2 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 2 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 2 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 0 0 2 1 1 1}));
			

title2 "exponentional decay: assume (a0,r)=(0.03, 0.8) ";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,2)), corr_type = 2,alpha0 = 0.03,r0 = 0.8 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
    CP_size_matrix =      
						  %str({1 2 2 0 2 2 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 0 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 0 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 0 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 0 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 2 2 0 2 2 1}),
					       		
    DesignPattern =        %str({0 0 0 2 1 1 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 2 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 2 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 2 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 2 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 0 0 2 1 1 1}));
	
            
 
title2 "Nested exchangeable: (alpha1,alpha2)= (0.03,0.015)";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,2)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.015 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
   CP_size_matrix =      
						  %str({1 2 2 0 2 2 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 0 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 0 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 0 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 0 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 2 2 0 2 2 1}),
					       		
    DesignPattern =        %str({0 0 0 2 1 1 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 2 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 2 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 2 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 2 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 0 0 2 1 1 1}));


title "Design F : 6 clusters in 16 periods with 6 steps, binary outcomes  with the incremental intervention effect model and time effect parameters=(0.85,-0.01)";
title2 "Hussy and Hughes: (alpha1, alpha2)= (0.03,0.03)";

%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,1)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.03 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
    CP_size_matrix =      
						  %str({2 4 4 4 4 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 4 4 4 4 2}),
					       		
   DesignPattern =        %str({0 0 0 1 1 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 0 0 1 1 1}));
	
title2 "exponentional decay: assume (a0,r)=(0.03, 0.8) ";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,1)), corr_type = 2,alpha0 = 0.03,r0 = 0.8 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
     CP_size_matrix =      
						  %str({2 4 4 4 4 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 4 4 4 4 2}),
					       		
   DesignPattern =        %str({0 0 0 1 1 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 0 0 1 1 1}));
					       		
title2 "Nested exchangeable: (alpha1,alpha2)= (0.03,0.015)";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,1)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.015 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,    
     CP_size_matrix =      
						  %str({2 4 4 4 4 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 4 4 4 4 2,
					       		2 4 4 4 4 4 4 4 4 4 4 4 4 4 4 2}),
					       		
   DesignPattern =        %str({0 0 0 1 1 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 0 0 1 1 1}));	
					       		
title "Design F : 12 clusters in 16 periods with 6 steps, binary outcomes  with the incremental intervention effect model and time effect parameters=(0.85,-0.01)";
title2 "Hussy and Hughes: (alpha1, alpha2)= (0.03,0.03)";

%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,2)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.03 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
   CP_size_matrix =      
						  %str({1 2 2 2 2 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 2 2 2 2 1}),
					       		
   DesignPattern =        %str({0 0 0 1 1 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 0 0 1 1 1}));	
					       		
					       		
title2 "exponentional decay: assume (a0,r)=(0.03, 0.8) ";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,2)), corr_type = 2,alpha0 = 0.03,r0 = 0.8 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
    CP_size_matrix =      
						  %str({1 2 2 2 2 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 2 2 2 2 1}),
					       		
   DesignPattern =        %str({0 0 0 1 1 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 0 0 1 1 1}));	
	
            
 
title2 "Nested exchangeable: (alpha1,alpha2)= (0.03,0.015)";
%CRTFASTGEEPWR(alpha=0.05, m =%str(J(6,1,2)), corr_type = 1,alpha1 = 0.03,alpha2 = 0.015 ,
   intervention_effect_type=2, delta = -2.4,max_intervention_period=10, period_effect_type=2, beta_period_effects =%str({0.85,-0.01})  ,dist = "binary",phi=1,
    CP_size_matrix =      
						  %str({1 2 2 2 2 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 2 2 2 2 1,
					       		1 2 2 2 2 2 2 2 2 2 2 2 2 2 2 1}),
					       		
   DesignPattern =        %str({0 0 0 1 1 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 1 1 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1,
					       		0 0 0 0 0 0 0 0 0 0 0 0 0 1 1 1}));	
ods pdf close;
